
Figure - Bug #111625
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110872 (New): BSP-BVT测试-WIFI测试

【BSP】【EVT】【WIFI】【必现】802.11AC模式下，wifi吞吐率指标异常
2022-09-01 15:13 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-09-01

Priority: High Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: 0.0.0.20220830_alpha_007

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause: 复测pass

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

2、DUT和pc处于同一局域网

3、路由器lan口设置网段为10.0.0.xxx，wifi设置成802.11AC模式

4、DUT为单天线

操作步骤：

1、dut安装iperf应用

2、dut执行iperf3 -s -i 1

3、PC端执行iperf3 -c 10.0.0.106 -u -b 300M -t 30 -i 1 -P 8

4、PC端执行iperf3 -c 10.0.0.106 -u -b 1000M -t 30 -i 1 -P 8

实际结果：

1、查看pc端输出结果，两次测试吞吐率均为874 Mbits/sec左右

预期结果：

1、单根天线，5G模式下最大吞吐在400 Mbits/sec

History

#1 - 2022-09-05 14:42 - CD LC-徐玺栋

- Status changed from New to ASSIGNED

#2 - 2022-09-05 20:31 - CD LC-徐玺栋

- Assignee changed from CD LC-徐玺栋 to SZTS_TEST 邹涛

■ My analysis

如果RF限制成功的话单天线11ax SISO 80MHz速率(MAX: 601 Mbps)，而现在跑出来速率都是800多，怀疑是没有限制成功的。

■ Next action

需要测试先跟RF确认被测版本的是RF限制过的版本，然后抓取并提供如下日志：logcat, wlan_logs, tcpdump, sniffer, qxdm

#3 - 2022-09-14 11:34 - CD TPM-申艳艳

- Category set to LC
#4 - 2022-09-14 11:34 - CD TPM-申艳艳

- Status changed from ASSIGNED to NEED_INFO

#5 - 2022-09-23 14:53 - CD LC-徐玺栋

■ Current conclusion

根据测试给出的文件中有效的TCP测试5次,结果分别是: 315 Mbits/sec  287 Mbits/sec  272 Mbits/sec 271 Mbits/sec  299 Mbits/sec   平均289Mbps.

■ My analysis

Rx, Tx都是600Mbps, 如果这个配置是11ax 80M bandwidth,  是1*1速率；

■ Next action

对于测试速率的指标规格，请说明客户标准，而且需要对齐一下测试环境，排除干扰和测试距离，位置

#6 - 2022-09-27 10:01 - CDTS_TEST 王成

- Target version set to VX1_MCE_FSE_V2.0_20220930

#7 - 2022-09-28 18:36 - SZTS_TEST 邹涛

使用0924号DB版本测试，吞吐率正常，关闭该bug

#8 - 2022-09-29 15:02 - CDTS_TEST 王成

- Assignee changed from SZTS_TEST 邹涛 to CD LC-徐玺栋

#9 - 2022-09-29 15:08 - CD LC-徐玺栋

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD LC-徐玺栋 to CDTS_TEST 王成

- Resolution changed from -- to FIXED

- Root cause set to 复测pass

复测pass

#10 - 2022-09-29 15:11 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

#11 - 2022-09-29 15:11 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

ipref3.apk 786 KB 2022-09-01 SZTS_TEST 邹涛

Snipaste_2022-09-01_14-33-38.png 13.8 KB 2022-09-01 SZTS_TEST 邹涛

Snipaste_2022-09-01_14-34-09.png 13.9 KB 2022-09-01 SZTS_TEST 邹涛
